Announcement

Collapse
No announcement yet.

ET:Legacy 2.74 Released With Better Unicode Support, Lua 5.3

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • ET:Legacy 2.74 Released With Better Unicode Support, Lua 5.3

    Phoronix: ET:Legacy 2.74 Released With Better Unicode Support, Lua 5.3

    If you're a Linux gamer, this weekend you can fire up the new version of ET:Legacy to reminisce over Wolfenstein: Enemy Territory...

    http://www.phoronix.com/scan.php?pag...-2.74-Released

  • #2
    Wolfenstein: Enemy Territory was and still is a great game and I've spent thousands of hours playing it since its release. I actually tried playing ET: Legacy a while back but it was sad to see that there aren't that many playing it anymore (it being over 12 years old sort of explains a lot, though). The servers are all just full of bots these days and there's really no point in playing against a horde of bots running in waves straight into your MG fire.

    I wish there was either an official or community remake of the game, one that brings the graphics up to a modern standard and adds some new features to the game. W:ET was a great modding platform too and it could revive the modding community if it only got more players and attention. One of the best mods I've played this far was TC:E, it was simply amazing what they were able to do with it back in the day.

    It's nice to see that ET: Legacy is still active, but I also wish there was more.

    Comment

    Working...
    X